Skip to main content
DELETE
/
repos
/
{repo_id}
/
workspaces
/
{workspace_id}
Delete workspace
curl --request DELETE \
  --url https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id} \
  --header 'Authorization: Bearer <token>'
{
  "status": 123,
  "detail": "<string>",
  "title": "<string>",
  "type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the implicit grant flow

Path Parameters

repo_id
string
required

The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.

Required string length: 3 - 128
Example:

"example_id"

workspace_id
string
required

The repo ID of the workspace.

Required string length: 3 - 128
Example:

"example_id"

Response

Request completed successfully